This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021317 - Service Overview gadget to be list of services at small size
Service Overview gadget to be list of services at small size
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 23:53 EDT by Catherine Robson
Modified: 2015-08-02 19:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-26 14:44:44 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-20 23:53:20 EDT
Description of problem:
At a small size the visualization of services and connections does not provide any value beyond ok/not-ok to users.  In a system that is large with many services and connections, this view might be too cramped to really look at and gather anything at all.


Suggested resolution:
List all services and have a status indicator next to each of them.  If a connection from that service is not doing well, the service would show a problem.  By using a list, many more can fit on the screen.  Problem services should be raised to the top of the list so that they are most visible.
Comment 2 Gary Brown 2013-10-22 06:48:23 EDT
Unfortunately this is a more significant change and cannot be viewed as a bug.

I've created a separate bug (https://bugzilla.redhat.com/show_bug.cgi?id=1021927) to include a service name on the smaller representation, as an interim solution for the 6.0 release, and will look at a longer term solution for 6.1.
Comment 3 Alan Santos 2014-03-19 13:44:25 EDT
ack'ing this for consideration in new RTGov console
Comment 4 Gary Brown 2014-03-20 04:35:19 EDT
In the new RTGov UI, we already have a list of services as a main section of the site.

We are currently investigating having the graphical representation of service dependencies as a subsection of the service details page - however there will no longer be a 'small size', so not sure this issue will apply to the new UI.
Comment 5 kconner 2014-06-26 14:44:44 EDT
Gadget Server is being replaced by the new RTGov UI

Note You need to log in before you can comment on or make changes to this bug.